# B2B Virtual Account Payment Method
Flexible and secure payment method for B2B market segments using virtual accounts.

## Version: 1

### Servers

| URL | Description |
| --- | ----------- |
| https://sandbox.api.visa.com | Sandbox server |

---
## Single Use Account Pool Maintenance Service
The Proxy web service is used for managing a pool of Single-Use Accounts (SUAs) linked to a proxy. With this web service, you can create proxy pool(s) for a buyer, update details of the proxy, delete unused pools and get details about an existing pool(e.g. number of available accounts).

### [POST] /vpa/v1/proxy/GetAccountStatus
**SUA Get Account Status**

#### Request Body

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"buyerId"**: string, **"clientId"**: string, **"messageId"**: string, **"ProxyNumber"**: string, **"accountRequestID"**: string }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 201 | Created | **application/json**: { **"GetAccountResponse"**: { **"messageId"**: string, **"statusCode"**: string, **"statusDesc"**: string, **"accountDetails"**: [ { **"accountLimit"**: string, **"accountNumber"**: string, **"expirationDate"**: string } ], **"totalRequestsFailed"**: string, **"totalRequestsPending"**: string, **"totalAccountsRequested"**: string, **"totalRequestsSucceeded"**: string } }<br> |
| 400 | Error Codes | **application/json**: { **"GAS005"**: object, **"GAS006"**: object, **"GAS007"**: object, **"GAS008"**: object, **"GAS009"**: object, **"GAS010"**: object, **"GAS011"**: object, **"GAS012"**: object, **"GAS013"**: object, **"GAS511"**: object, **"GAS512"**: object, **"GAS517"**: object, **"GAS531"**: object, **"GAS532"**: object, **"GAS533"**: object, **"GAS534"**: object, **"GAS535"**: object, **"GAS536"**: object, **"GAS537"**: object, **"GAS538"**: object, **"GAS539"**: object, **"GAS727"**: object }<br> |
